Subject: [Megaco] Error handling on MG

From: "Garber, Zeev" <[email-masked]>
Date: Tue, 7 Jan 2003 15:06:27 -0500

Hi All,

Lets consider following scenario:

MGC requests MG to Add physical and ephemeral($) terminations to newly
created context($). MG realizes that physical termination is already added
to another context. It responds with AddReply containing Error Descriptor . 

2 questions:

What is a context Id in response for the first Add command: $ or some new
context Id?

What if Physical termination was successfully added to the context but
ephemeral wasn't (due to resource limitation for example). What should be
the ephemeral termination id in response $ or some new termination Id?

Thanks a lot,
> Ze`ev Garber
> Software Engineer
> Communications Infrastructure Test Group 
> p| 978.661.1211 f| 978.988.0148 
> email | [email-masked] 
> 205 Lowell Street | Wilmington, MA | 01887
> E M P I R I X 
> www.empirix.com
> 

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Raphael Tryster <[email-masked]>
Date: Wed, 8 Jan 2003 12:44:14 +0200

Inline.

Raphael Tryster

	-----Original Message-----
	From:	Garber, Zeev [SMTP:[email-masked]]
	Sent:	Tuesday, 07 January, 2003 10:06 PM
	To:	[email-masked]
	Subject:	[Megaco] Error handling on MG

	Hi All,

	MGC requests MG to Add physical and ephemeral($) terminations to
newly
	created context($). MG realizes that physical termination is already
added
	to another context. It responds with AddReply containing Error
Descriptor . 

	2 questions:

	What is a context Id in response for the first Add command: $ or
some new
	context Id?

	"The ContextID parameter must specify a value to pertain to all
Responses for the action.  The ContextID may be specific, all or null".  

	Notice that "choose" is not given as an option.  Now, if the MG
created a context, but failed to Add any terminations to it, then the
context no longer exists (did it ever exist?)  We do have a precedent for
returning the Id of a context that did not exist when the transaction
started excuting (Add), and we also have a precedent for returning the Id of
a context that did not exist when the transaction finished executing
(Subtract).  Your case is different, because the context exists neither at
the beginning nor at the end.  Does this justify returning a context Id that
may have existed in the middle?  

	I think it is reasonable to answer "yes", that the MG may return a
context Id that existed at any time during the execution of the transaction.
However, if the motivation is to comply with the above quote, then I must
point out another case in which we cannot comply.  This occurs when no more
context Ids are available, and the MG returns error 412.  In that case, I
think the MG has no choice but to return context Id = $, and perhaps the
standard should be amended.

	What if Physical termination was successfully added to the context
but
	ephemeral wasn't (due to resource limitation for example). What
should be
	the ephemeral termination id in response $ or some new termination
Id?

	Similarly to the above, I would argue that it depends on whether the
MG was able to assign an ephemeral termination Id.  If it was not, $ would
seem to be the only possibility.

	In all the scenarios, both sides need to be aware that an empty
context and an ephemeral outside a context do not exist, and therefore the
MGC should not issue subsequent commands using those identifiers.

	Thanks a lot,

---

From: Raphael Tryster <[email-masked]>
Date: Wed, 8 Jan 2003 12:44:14 +0200

Inline.

Raphael Tryster

	-----Original Message-----
	From:	Garber, Zeev [SMTP:[email-masked]]
	Sent:	Tuesday, 07 January, 2003 10:06 PM
	To:	[email-masked]
	Subject:	[Megaco] Error handling on MG

	Hi All,

	2 questions:

	Thanks a lot,

---

From: "Tom-PT Taylor" <[email-masked]>
Date: Wed, 8 Jan 2003 09:26:12 -0500

Hello.  See below marked with [PTT].

> From: Garber, Zeev [mailto:[email-masked]] 
> Sent: Tuesday, January 07, 2003 3:06 PM
> To: [email-masked]
> MGC requests MG to Add physical and ephemeral($) terminations 
> to newly created context($). MG realizes that physical 
> termination is already added to another context. It responds 
> with AddReply containing Error Descriptor . 
> 
> 2 questions:
> 
> What is a context Id in response for the first Add command: $ 
> or some new context Id?

[PTT] I would certainly not use a specific context ID, since it is
irrelevant.  I am hesitating between $ for simplicity or null.  We've
already heard one vote for $.  Any other opinions?

> 
> What if Physical termination was successfully added to the 
> context but ephemeral wasn't (due to resource limitation for 
> example). What should be the ephemeral termination id in 
> response $ or some new termination Id?

[PTT] Again, a specific termination ID would be irrelevant and misleading.
Go with $.